Subject: Re: [EGit PATCH] IgnoreAction to add to .gitignore files

From: Robin Rosenberg <[email-masked]>
Date: Fri, 24 Apr 2009 01:08:27 +0200

torsdag 23 april 2009 23:12:40 skrev Alex Blewitt <[email-masked]>:
> 
> On 23 Apr 2009, at 22:09, Robin Rosenberg wrote:
> 
> > torsdag 23 april 2009 22:36:49 skrev Alex Blewitt <[email-masked]>:
> >> I don't know of any other SCM that allows you to un-ignore files in
> >> the way that Git does; my guess is that most people wouldn't miss it
> >> if it weren't there. A .gitignore customised editor is probably
> >> overkill too - after all, you can just open it up in a text editor  
> >> and
> >> make changes yourself. I've amended a few .cvsignore files in my time
> >> manually, but I wouldn't want to overcomplicate the menu for that.
> >
> > Why do we want a plugin for git? We have the command line.
> 
> I mean, it's trivial to open up the .gitignore file in Eclipse as a  
> text file. I was doing that to check the implementation worked whilst  
> adding entries to the .gitignore.
> 
> I've seen all manner of bad UIs in applications created because the  
> developer wanted 'total flexibility' and exposed everything via the  
> UI. For something as simple as ignoring a file, which is already a  
> pretty standardised operation across SCMs, I don't see any benefit in  
> making it more complicated than it needs to be.

A bad GUI is worse than no GUI, so we don't want that. We're not that
desperate.

-- robin